package com.wd.workoffice.bean;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class StockBean {

    /**
     * createdBy : null
     * createdByName : null
     * createdTime : 2019-11-27 14:33:47
     * updatedBy : null
     * updatedByName : null
     * updatedTime : null
     * id : 13
     * deptId : null
     * stockTypeId : null
     * customerId : null
     * code : MUJU_IN
     * name : 模具成品内库1
     * status : 启用
     * ofType : null
     * getOfTypeErpId : null
     * customerName : null
     * deptName : null
     * siteType : 铝碳成品库
     * isShowByDateDesc : null
     * sign : null
     * stTypeName : 厂内库
     */

    private Object createdBy;
    private Object createdByName;
    private String createdTime;
    private Object updatedBy;
    private Object updatedByName;
    private Object updatedTime;
    private int id;
    private Object deptId;
    private Object stockTypeId;
    private Object customerId;
    private String code;
    private String name;
    private String status;
    private Object ofType;
    private Object getOfTypeErpId;
    private Object customerName;
    private Object deptName;
    private String siteType;
    private Object isShowByDateDesc;
    private Object sign;
    private String stTypeName;

    public Object getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Object createdBy) {
        this.createdBy = createdBy;
    }

    public Object getCreatedByName() {
        return createdByName;
    }

    public void setCreatedByName(Object createdByName) {
        this.createdByName = createdByName;
    }

    public String getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(String createdTime) {
        this.createdTime = createdTime;
    }

    public Object getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Object updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Object getUpdatedByName() {
        return updatedByName;
    }

    public void setUpdatedByName(Object updatedByName) {
        this.updatedByName = updatedByName;
    }

    public Object getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Object updatedTime) {
        this.updatedTime = updatedTime;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public Object getDeptId() {
        return deptId;
    }

    public void setDeptId(Object deptId) {
        this.deptId = deptId;
    }

    public Object getStockTypeId() {
        return stockTypeId;
    }

    public void setStockTypeId(Object stockTypeId) {
        this.stockTypeId = stockTypeId;
    }

    public Object getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Object customerId) {
        this.customerId = customerId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Object getOfType() {
        return ofType;
    }

    public void setOfType(Object ofType) {
        this.ofType = ofType;
    }

    public Object getGetOfTypeErpId() {
        return getOfTypeErpId;
    }

    public void setGetOfTypeErpId(Object getOfTypeErpId) {
        this.getOfTypeErpId = getOfTypeErpId;
    }

    public Object getCustomerName() {
        return customerName;
    }

    public void setCustomerName(Object customerName) {
        this.customerName = customerName;
    }

    public Object getDeptName() {
        return deptName;
    }

    public void setDeptName(Object deptName) {
        this.deptName = deptName;
    }

    public String getSiteType() {
        return siteType;
    }

    public void setSiteType(String siteType) {
        this.siteType = siteType;
    }

    public Object getIsShowByDateDesc() {
        return isShowByDateDesc;
    }

    public void setIsShowByDateDesc(Object isShowByDateDesc) {
        this.isShowByDateDesc = isShowByDateDesc;
    }

    public Object getSign() {
        return sign;
    }

    public void setSign(Object sign) {
        this.sign = sign;
    }

    public String getStTypeName() {
        return stTypeName;
    }

    public void setStTypeName(String stTypeName) {
        this.stTypeName = stTypeName;
    }
}
